Changeset 114325 for trunk/dports/java


Ignore:
Timestamp:
Dec 5, 2013, 9:20:31 AM (5 years ago)
Author:
ryandesign@…
Message:

use eq and ne instead of == and != when comparing ${os.platform} and ${os.subplatform}

Location:
trunk/dports/java
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/java/hadoop/Portfile

    r112736 r114325  
    3636    # This port works on Mac OS X 10.6 or later, because 'sudo option -E'
    3737    # is not available on Mac OS X 10.5 or earlier. See #34665.
    38     if {${os.platform} == "darwin" && ${os.major} <= 9} {
     38    if {${os.platform} eq "darwin" && ${os.major} <= 9} {
    3939        ui_error "This port works on Mac OS X 10.6 (Snow Leopard) or later"
    4040        return -code error "Mac OS X 10.6 (Snow Leopard) or later is required"
  • trunk/dports/java/jgoodies-common/Portfile

    r100512 r114325  
    2525worksrcdir              ${name}-${version}
    2626
    27 if {${os.platform} == "darwin" && ${os.major} < 10} {
     27if {${os.platform} eq "darwin" && ${os.major} < 10} {
    2828    pre-fetch {
    2929        ui_error "${name} ${version} requires OS X 10.6 or greater for Java 6."
  • trunk/dports/java/jgoodies-forms/Portfile

    r100512 r114325  
    2929worksrcdir              ${name}-${version}
    3030
    31 if {${os.platform} == "darwin" && ${os.major} < 10} {
     31if {${os.platform} eq "darwin" && ${os.major} < 10} {
    3232    pre-fetch {
    3333        ui_error "${name} ${version} requires OS X 10.6 or greater for Java 6."
  • trunk/dports/java/jgoodies-looks/Portfile

    r100512 r114325  
    2828worksrcdir              ${name}-${version}
    2929
    30 if {${os.platform} == "darwin" && ${os.major} < 10} {
     30if {${os.platform} eq "darwin" && ${os.major} < 10} {
    3131    pre-fetch {
    3232        ui_error "${name} ${version} requires OS X 10.6 or greater for Java 6."
Note: See TracChangeset for help on using the changeset viewer.